﻿local options = {
	name = "HealPoints",
	desc = "HealPoints Configuration.",
	type = "group",
	args = {
		calc = {
			type = "execute",
			name = "Calculator",
			desc = "Display the HealPoints calculator",
			order = 9,
			func = function()
				HealPoints:ToggleCalculator();
			end,
		},
			
		tooltips ={
			type = "toggle",
			name = "Values in tooltips",
			desc = "Toggles the display of HealPoints change in item tooltips.",
			order = 10,
			get = function()
				return HealPoints.db.char.tooltips == 1;
			end,
			set = function()
				HealPoints.db.char.tooltips = 1 - HealPoints.db.char.tooltips;
			end
		},
		debug ={
			type = "toggle",
			name = "Debug mode",
			desc = "Toggles the display of debug messages.",
			order = 11,
			get = function()
				return HealPoints.db.char.debug == 1;
			end,
			set = function()
				HealPoints:ClearCache();
				HealPoints.db.char.debug = 1 - HealPoints.db.char.debug;
			end
		},

		mvs ={
			type = "execute",
			name = "Most valuable stats",
			desc = "Lists the most valuable stat ranking according to current gear and buffs.",
			order = 20,
			func = function()
				HealPoints:PrintMVS();
			end,
		},
--[[
		bscan ={
			type = "execute",
			name = "Special item bonuses",
			desc = "Print special set/equip bonuses detected to the console.",
			order = 21,
			func = function()
				HealPoints:listScannedBonuses();
			end
		},--]]

		gemheader = {
			type = "header",
			name = "Gem selector",			
			desc = "",
			order = 30,
			cmdHidden = true,
		},		
		bluegems ={
			type = "select",
			name = "Blue Sockets",
			desc = "Select gem to be used for empty blue socket calculations.",
			order = 31,
			cmdHidden = true,
			width = "full",
			get = function() 
				return HealPoints.db.char.gems.blueGem;
			end,
			set = function(t, v)
				HealPoints:ClearCache();
				HealPoints.db.char.gems.blueGem = v;
			end,
			values = HealPointsGems.blueSocket,
		},
		redgems ={
			type = "select",
			name = "Red Sockets",
			desc = "Select gem to be used for empty red socket calculations.",
			order = 32,
			cmdHidden = true,
			width = "full",
			get = function() 
				return HealPoints.db.char.gems.redGem;
			end,
			set = function(t, v)
				HealPoints:ClearCache();
				HealPoints.db.char.gems.redGem = v;
			end,
			values = HealPointsGems.redSocket,
		},
		yellowgems ={
			type = "select",
			name = "Yellow Sockets",
			desc = "Select gem to be used for empty yellow socket calculations.",
			order = 33,
			cmdHidden = true,
			width = "full",
			get = function() 
				return HealPoints.db.char.gems.yellowGem;
			end,
			set = function(t, v)
				HealPoints:ClearCache();
				HealPoints.db.char.gems.yellowGem = v;
			end,
			values = HealPointsGems.yellowSocket,
		},
	},
};

LibStub("AceConfig-3.0"):RegisterOptionsTable("HealPoints", options, "healpoints");
LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("HealPoints", options);
HealPoints.options = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("HealPoints", "HealPoints");
